Package org.apache.sysds.runtime.controlprogram

# Enum Class ParForProgramBlock.PDataPartitioner

java.lang.Object
java.lang.Enum<ParForProgramBlock.PDataPartitioner>
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PDataPartitioner

All Implemented Interfaces:
  `Serializable`, `Comparable<ParForProgramBlock.PDataPartitioner>`, `Constable`

Enclosing class:
  ParForProgramBlock

public static enum ParForProgramBlock.PDataPartitioner extends Enum<ParForProgramBlock.PDataPartitioner>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOCAL`
`NONE`
`REMOTE_SPARK`
`UNSPECIFIED`

## Method Summary

Modifier and Type
Method
Description
`static ParForProgramBlock.PDataPartitioner`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParForProgramBlock.PDataPartitioner[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final ParForProgramBlock.PDataPartitioner NONE

### LOCAL

public static final ParForProgramBlock.PDataPartitioner LOCAL

### REMOTE_SPARK

public static final ParForProgramBlock.PDataPartitioner REMOTE_SPARK

### UNSPECIFIED

public static final ParForProgramBlock.PDataPartitioner UNSPECIFIED

## Method Details

### values

public static ParForProgramBlock.PDataPartitioner[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParForProgramBlock.PDataPartitioner valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null